PROGRAM SOMA_MATRIZ
   ! PROGRAMA QUE SOMA MATRIZES DE DIMENSÃO M x N
   IMPLICIT NONE
   INTEGER :: MATA(15,15), MATB(15, 15), MSOMA(15, 15), M, N, I, J
   
   WRITE (*, *) "PROGRAMA QUE SOMA MATRIZES DE DIMENSAO M x N:"
   WRITE (*, *)
   WRITE (*, *)"Digite o valor de M e de N:"
   READ(*, *) M, N
   
   ! LEITURA DAS MATRIZES
   WRITE (*, *)
   WRITE (*, *) "DIGITE OS DADOS PARA A PRIMEIRA MATRIZ: "
   WRITE (*, *)
   READ (*, *) ((MATA(I, J), J = 1, 3, 1), I = 1, 2, 1)
   WRITE (*, *)
   WRITE (*, *) "DIGITE OS DADOS PARA A SEGUNDA MATRIZ: "
   WRITE (*, *)
   READ (*, *) ((MATB(I, J), J = 1, 3, 1), I = 1, 2, 1)
   
   ! CALCULO DA MATRIZ SOMA
   DO I= 1, 2, 1
      DO J = 1, 3, 1
         MSOMA(I, J) = MATA(I, J) + MATB (I ,J)
      END DO
   END DO
   
   ! IMPRESSÃO DAS MATRIZES
   WRITE (*, *) "MATRIZ MATA:"
   DO I = 1, 2, 1
      WRITE(*, *) (MATA(I,J) , J = 1, 3, 1)
   END DO
   WRITE (*, *)
   
   WRITE (*, *) "MATRIZ MATB:"
   DO I = 1, 2, 1
      WRITE (*, *) (MATB(I,J), J = 1, 3, 1)
   END DO
   WRITE (*, *)
   
   WRITE (*, *) "MATRIZ SOMA:"
   DO I = 1, 2, 1
      WRITE (*, *) (MSOMA(I, J), J = 1, 3, 1)
   END DO
   
   STOP
END PROGRAM SOMA_MATRIZ
